from header_meshes import *

####################################################################################################################
#  Each mesh record contains the following fields:
#  1) Mesh id: used for referencing meshes in other files. The prefix mesh_ is automatically added before each mesh id.
#  2) Mesh flags. See header_meshes.py for a list of available flags
#  3) Mesh resource name: Resource name of the mesh
#  4) Mesh translation on x axis: Will be done automatically when the mesh is loaded, value * 1000 pixels
#  5) Mesh translation on y axis: Will be done automatically when the mesh is loaded
#  6) Mesh translation on z axis: Will be done automatically when the mesh is loaded
#  7) Mesh rotation angle over x axis: Will be done automatically when the mesh is loaded
#  8) Mesh rotation angle over y axis: Will be done automatically when the mesh is loaded
#  9) Mesh rotation angle over z axis: Will be done automatically when the mesh is loaded
#  10) Mesh x scale: Will be done automatically when the mesh is loaded
#  11) Mesh y scale: Will be done automatically when the mesh is loaded
#  12) Mesh z scale: Will be done automatically when the mesh is loaded
#
#  Warning: operations seem to be in order of appearance; e.g. scaling is done AFTER rotation
####################################################################################################################

meshes = [
  ("pic_bandits", 0, "pic_bandits", 0, 0, 0, 0, 0, 0, 1, 1, 1), #
  ("pic_mb_warrior_1", 0, "question_mark", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_messenger", 0, "pic_messenger", 0, 0, 0, 0, 0, 0, 1, 1, 1), #
  ("pic_prisoner_man", 0, "pic_prisoner_man", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_prisoner_fem", 0, "pic_prisoner_fem", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_prisoner_wilderness", 0, "pic_prisoner_wilderness", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_siege_sighted", 0, "pic_siege_sighted", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_siege_sighted_fem", 0, "pic_siege_sighted_fem", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_camp", 0, "pic_camp", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_payment", 0, "pic_payment", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_escape_1", 0, "pic_escape_1", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_escape_1_fem", 0, "pic_escape_1_fem", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_victory", 0, "pic_victory", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_defeat", 0, "pic_defeat", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_wounded", 0, "pic_wounded", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_wounded_fem", 0, "pic_wounded_fem", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_steppe_bandits", 0, "pic_steppe_bandits", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_mountain_bandits", 0, "pic_mountain_bandits", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_sea_raiders", 0, "pic_sea_raiders", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_deserters", 0, "pic_deserters", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_forest_bandits", 0, "pic_forest_bandits", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_cattle", 0, "pic_cattle", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_looted_village", 0, "pic_looted_village", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_village_p", 0, "pic_village_p", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_village_s", 0, "pic_village_s", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_village_w", 0, "pic_village_w", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_recruits", 0, "pic_recruits", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_arms_swadian", 0, "pic_arms_swadian", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_arms_vaegir", 0, "pic_arms_swadian", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_arms_khergit", 0, "pic_arms_swadian", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_arms_nord", 0, "pic_arms_swadian", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_arms_rhodok", 0, "pic_arms_swadian", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_sarranid_arms", 0, "pic_sarranid_arms", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_kingdom7", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom8", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom9", 0, "pic_arms_nord", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom10", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom11", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom12", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom13", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom14", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom15", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom16", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom17", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom18", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom19", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom20", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_kingdom21", 0, "pic_arms_rhodok", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("pic_castle1", 0, "pic_castle1", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_castledes", 0, "pic_castledes", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_castlesnow", 0, "pic_castlesnow", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_charge", 0, "pic_charge", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_khergit", 0, "pic_pictos", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_nord", 0, "pic_vikings", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_rhodock", 0, "pic_irish", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_sally_out", 0, "pic_sally_out", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_siege_attack", 0, "pic_siege_attack", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_swad", 0, "pic_britons", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_town1", 0, "pic_town1", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_towndes", 0, "pic_towndes", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_townriot", 0, "pic_townriot", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_townsnow", 0, "pic_townsnow", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_vaegir", 0, "pic_saxons", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_villageriot", 0, "pic_villageriot", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
  ("pic_sarranid_encounter", 0, "pic_angles", 0, 0, 0, 0, 0, 0, 1, 1, 1),#
 #otros chief
  ("siegeplan", 0, "siegeplan", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("circunvalacion", 0, "circunvalacion", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("portlucha", 0, "portlucha", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("hacerbarco", 0, "hacerbarco", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_payment1", 0, "pic_payment1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("sneak_into_town", 0, "sneak_into_town", 0, 0, 0, 0, 0, 0, 1, 1, 1), #vc
  ("siegeassault", 0, "siegeassault", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("laddersassault", 0, "laddersassault", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("festin", 0, "festin", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_barco", 0, "pic_extra_barco", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_caza", 0, "pic_extra_caza", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_encuentro", 0, "pic_extra_encuentro", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_guerreroelite", 0, "pic_extra_guerreroelite", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_guerreros", 0, "pic_extra_guerreros", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_viejo", 0, "pic_extra_viejo", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_navegando", 0, "pic_extra_navegando", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_combate", 0, "pic_extra_combate", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_intro1", 0, "pic_extra_intro1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_intro1map", 0, "pic_extra_intro1map", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_intro11", 0, "pic_extra_intro11", 0, 0, 0, 0, 0, 0, 1, 1, 1), #character creation
  ("pic_extra_intro1b", 0, "pic_extra_intro1b", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_intro2", 0, "pic_extra_intro2", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("pic_extra_duelos", 0, "pic_extra_duelos", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_ambush", 0, "pic_ambush", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_battle_raid", 0, "pic_battle_raid", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_beach", 0, "pic_beach", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_cave", 0, "pic_cave", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_chest", 0, "pic_chest", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_coppergate_helm", 0, "pic_coppergate_helm", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_cross", 0, "pic_cross", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_diplomatic", 0, "pic_diplomatic", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_draco_single", 0, "pic_draco_single", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_family", 0, "pic_family", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_duel_warriors", 0, "pic_duel_warriors", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_farmstead", 0, "pic_farmstead", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("pic_fleet", 0, "pic_fleet", 0, 0, 0, 0, 0, 0, 1, 1, 1),
   ("pic_forest", 0, "pic_forest", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_going_to_war", 0, "pic_going_to_war", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_irish_veterans", 0, "pic_irish_veterans", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_knorr", 0, "pic_knorr", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_leave_faction", 0, "pic_leave_faction", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_map", 0, "pic_map", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_map_detail", 0, "pic_map_detail", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_bandits_lair", 0, "pic_bandits_lair", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_post_battle_menu", 0, "pic_post_battle_menu", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_raven", 0, "pic_raven", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_road_with_grove", 0, "pic_road_with_grove", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_siege_victory", 0, "pic_siege_victory", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_small_island", 0, "pic_small_island", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_smith", 0, "pic_smith", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_thing", 0, "pic_thing", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_extra_monasterio", 0, "pic_extra_monasterio", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("pic_vc_plundering_monastery", 0, "pic_vc_plundering_monastery", 0, 0, 0, 0, 0, 0, 1, 1, 1),
######### 
  ("mp_score_a", 0, "mp_score_a", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_score_b", 0, "mp_score_b", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("portrait_blend_out", 0, "portrait_blend_out", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("load_window", 0, "load_window", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("checkbox_off", render_order_plus_1, "checkbox_off", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("checkbox_on", render_order_plus_1, "checkbox_on", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("white_plane", 0, "white_plane", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("white_dot", 0, "white_dot", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("player_dot", 0, "player_dot", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_infantry", 0, "flag_infantry", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_archers", 0, "flag_archers", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_cavalry", 0, "flag_cavalry", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("inv_slot", 0, "inv_slot", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ingame_menu", 0, "mp_ingame_menu", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_left", 0, "mp_inventory_left", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_right", 0, "mp_inventory_right", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_choose", 0, "mp_inventory_choose", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_slot_glove", 0, "mp_inventory_slot_glove", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_slot_horse", 0, "mp_inventory_slot_horse", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_slot_armor", 0, "mp_inventory_slot_armor", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_slot_helmet", 0, "mp_inventory_slot_helmet", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_slot_boot", 0, "mp_inventory_slot_boot", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_slot_empty", 0, "mp_inventory_slot_empty", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_slot_equip", 0, "mp_inventory_slot_equip", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_left_arrow", 0, "mp_inventory_left_arrow", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_inventory_right_arrow", 0, "mp_inventory_right_arrow", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_main", 0, "mp_ui_host_main", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("mp_ui_host_maps_1", 0, "mp_ui_host_maps_a3", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_2", 0, "mp_ui_host_maps_a2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_3", 0, "mp_ui_host_maps_e1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_4", 0, "mp_ui_host_maps_a5", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_5", 0, "mp_ui_host_maps_a1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_6", 0, "mp_ui_host_maps_c5", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_7", 0, "mp_ui_host_maps_a4", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_8", 0, "mp_ui_host_maps_e2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_9", 0, "mp_ui_host_maps_d1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_10", 0, "mp_ui_host_maps_e3", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_11", 0, "mp_ui_host_maps_b4", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_12", 0, "mp_ui_host_maps_b5", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_13", 0, "mp_ui_host_maps_e4", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_14", 0, "mp_ui_host_maps_d2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_15", 0, "mp_ui_host_maps_b3", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_16", 0, "mp_ui_host_maps_e5", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_17", 0, "mp_ui_host_maps_d5", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_18", 0, "mp_ui_host_maps_d3", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_19", 0, "mp_ui_host_maps_d4", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_sea_1", 0, "mp_ui_host_maps_c1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_sea_2", 0, "mp_ui_host_maps_c3", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_coast_1", 0, "mp_ui_host_maps_c4", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_coast_2", 0, "mp_ui_host_maps_c2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_randomp", 0, "mp_ui_host_maps_randomp", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_randomf", 0, "mp_ui_host_maps_randomp", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_randoms", 0, "mp_ui_host_maps_randoms", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  
  ("mp_ui_command_panel", 0, "mp_ui_command_panel", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_command_border_l", 0, "mp_ui_command_border_l", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_command_border_r", 0, "mp_ui_command_border_r", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_welcome_panel", 0, "mp_ui_welcome_panel", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  #in same order of factions
  ("mp_objective_projection_team_1", 0, "mp_objective_projection_team_norse", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_2", 0, "mp_objective_projection_team_saxon", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_3", 0, "mp_objective_projection_team_angle", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_4", 0, "mp_objective_projection_team_welsh", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_5", 0, "mp_objective_projection_team_irish", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_6", 0, "mp_objective_projection_team_scotch", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projections_end", 0, "0", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("mp_objective_projection_team_1_miss", 0, "mp_objective_projection_team_norse_miss", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_2_miss", 0, "mp_objective_projection_team_saxon_miss", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_3_miss", 0, "mp_objective_projection_team_angle_miss", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_4_miss", 0, "mp_objective_projection_team_welsh_miss", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_5_miss", 0, "mp_objective_projection_team_irish_miss", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_6_miss", 0, "mp_objective_projection_team_scotch_miss", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_misses_end", 0, "0", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("mp_objective_projection_team_rebel", 0, "mp_objective_projection_team_rebel", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_objective_projection_team_rebel_miss", 0, "mp_objective_projection_team_rebel_miss", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  
  ("tableau_mesh_shield_round_1",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_round_2",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_round_3",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_round_4",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_round_5",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_small_round_1",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_small_round_2",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_small_round_3",  0, "question_mark", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_kite_1",   0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_kite_2",   0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_kite_3",   0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_kite_4",   0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_heater_1", 0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_heater_2", 0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_pavise_1", 0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  ("tableau_mesh_shield_pavise_2", 0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),
  
#MOTO chief
  ("tableau_roundshield_01",  0, "tableau_Roundshield_01", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_02",  0, "tableau_Roundshield_02", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_03",  0, "tableau_Roundshield_03", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_04",  0, "tableau_Roundshield_04", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_05",  0, "tableau_Roundshield_05", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_06",  0, "tableau_Roundshield_06", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_07",  0, "tableau_Roundshield_07", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_08",  0, "tableau_Roundshield_08", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_09",  0, "tableau_Roundshield_09", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_10",  0, "tableau_Roundshield_10", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_11",  0, "tableau_Roundshield_11", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_roundshield_12",  0, "tableau_Roundshield_12", 0, 0, 0, 0, 0, 0, 10, 5, 10),
  ("tableau_vc_map_chars", 0, "tableau_vc_map_chars",  0, 0, 0, 0, 0, 0, 10, 5, 10),
#MOTO chief acaba

  ("heraldic_armor_bg", 0, "question_mark",  0, 0, 0, 0, 0, 0, 10, 10, 10),

  ("tableau_mesh_heraldic_armor_a", 0, "question_mark",  0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("tableau_mesh_heraldic_armor_b", 0, "question_mark",  0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("tableau_mesh_heraldic_armor_c", 0, "question_mark",  0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("tableau_mesh_heraldic_armor_d", 0, "question_mark",  0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("outer_terrain_plain_1", 0, "question_mark", -90, 0, 0, 0, 0, 0, 1, 1, 1),	#was ter_border_a
  
  #banners
  ("banner_extra01", 0, "banner_extra01", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra02", 0, "banner_extra02", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra03", 0, "banner_extra03", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra04", 0, "banner_extra04", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra05", 0, "banner_extra05", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra06", 0, "banner_extra06", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra07", 0, "banner_extra07", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra08", 0, "banner_extra08", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra09", 0, "banner_extra09", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra10", 0, "banner_extra10", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra11", 0, "banner_extra11", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra12", 0, "banner_extra12", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra13", 0, "banner_extra13", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra14", 0, "banner_extra14", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra15", 0, "banner_extra15", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra16", 0, "banner_extra16", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra17", 0, "banner_extra17", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra18", 0, "banner_extra18", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra19", 0, "banner_extra19", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra20", 0, "banner_extra20", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra21", 0, "banner_extra21", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra201", 0, "banner_extra201", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra202", 0, "banner_extra202", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra203", 0, "banner_extra203", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra204", 0, "banner_extra204", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra205", 0, "banner_extra205", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra206", 0, "banner_extra206", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra207", 0, "banner_extra207", 0, 0, 0, -90, 0, 0, 1, 1, 1), reserved for default banner
  ("banner_extra208", 0, "banner_extra208", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra209", 0, "banner_extra209", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra210", 0, "banner_extra210", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_extra211", 0, "banner_extra211", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra212", 0, "banner_extra212", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra213", 0, "banner_extra213", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra214", 0, "banner_extra214", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra215", 0, "banner_extra215", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra216", 0, "banner_extra216", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra217", 0, "banner_extra217", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra218", 0, "banner_extra218", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra219", 0, "banner_extra219", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra220", 0, "banner_extra220", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_extra221", 0, "banner_extra221", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon01", 0, "banner_anglosaxon01", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon02", 0, "banner_anglosaxon02", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon03", 0, "banner_anglosaxon03", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon04", 0, "banner_anglosaxon04", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon05", 0, "banner_anglosaxon05", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon06", 0, "banner_anglosaxon06", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon07", 0, "banner_anglosaxon07", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon08", 0, "banner_anglosaxon08", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon09", 0, "banner_anglosaxon09", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon10", 0, "banner_anglosaxon10", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon11", 0, "banner_anglosaxon11", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon12", 0, "banner_anglosaxon12", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon13", 0, "banner_anglosaxon13", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon14", 0, "banner_anglosaxon14", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon15", 0, "banner_anglosaxon15", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon16", 0, "banner_anglosaxon16", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon17", 0, "banner_anglosaxon17", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon18", 0, "banner_anglosaxon18", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon19", 0, "banner_anglosaxon19", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon20", 0, "banner_anglosaxon20", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon21", 0, "banner_anglosaxon21", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon201", 0, "banner_anglosaxon201", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon202", 0, "banner_anglosaxon202", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon203", 0, "banner_anglosaxon203", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_anglosaxon204", 0, "banner_anglosaxon204", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon205", 0, "banner_anglosaxon205", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon206", 0, "banner_anglosaxon206", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon207", 0, "banner_anglosaxon207", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon208", 0, "banner_anglosaxon208", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon209", 0, "banner_anglosaxon209", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon210", 0, "banner_anglosaxon210", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon211", 0, "banner_anglosaxon211", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon212", 0, "banner_anglosaxon212", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon213", 0, "banner_anglosaxon213", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon214", 0, "banner_anglosaxon214", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon215", 0, "banner_anglosaxon215", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon216", 0, "banner_anglosaxon216", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon217", 0, "banner_anglosaxon217", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon218", 0, "banner_anglosaxon218", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon219", 0, "banner_anglosaxon219", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon220", 0, "banner_anglosaxon220", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_anglosaxon221", 0, "banner_anglosaxon221", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton01", 0, "banner_briton01", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton02", 0, "banner_briton02", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton03", 0, "banner_briton03", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton04", 0, "banner_briton04", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton05", 0, "banner_briton05", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton06", 0, "banner_briton06", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton07", 0, "banner_briton07", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton08", 0, "banner_briton08", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton09", 0, "banner_briton09", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton10", 0, "banner_briton10", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton11", 0, "banner_briton11", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton12", 0, "banner_briton12", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton13", 0, "banner_briton13", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton14", 0, "banner_briton14", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton15", 0, "banner_briton15", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton16", 0, "banner_briton16", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton17", 0, "banner_briton17", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton18", 0, "banner_briton18", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton19", 0, "banner_briton19", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton20", 0, "banner_briton20", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton21", 0, "banner_briton21", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton201", 0, "banner_briton201", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton202", 0, "banner_briton202", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton203", 0, "banner_briton203", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton204", 0, "banner_briton204", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton205", 0, "banner_briton205", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton206", 0, "banner_briton206", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton207", 0, "banner_briton207", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton208", 0, "banner_briton208", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton209", 0, "banner_briton209", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton210", 0, "banner_briton210", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton211", 0, "banner_briton211", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton212", 0, "banner_briton212", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton213", 0, "banner_briton213", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton214", 0, "banner_briton214", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton215", 0, "banner_briton215", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton216", 0, "banner_briton216", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton217", 0, "banner_briton217", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton218", 0, "banner_briton218", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton219", 0, "banner_briton219", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton220", 0, "banner_briton220", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_briton221", 0, "banner_briton221", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish01", 0, "banner_irish01", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish02", 0, "banner_irish02", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish03", 0, "banner_irish03", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish04", 0, "banner_irish04", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish05", 0, "banner_irish05", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish06", 0, "banner_irish06", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish07", 0, "banner_irish07", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish08", 0, "banner_irish08", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish09", 0, "banner_irish09", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish10", 0, "banner_irish10", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish11", 0, "banner_irish11", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish12", 0, "banner_irish12", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish13", 0, "banner_irish13", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish14", 0, "banner_irish14", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish15", 0, "banner_irish15", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish16", 0, "banner_irish16", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish17", 0, "banner_irish17", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish18", 0, "banner_irish18", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish19", 0, "banner_irish19", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish20", 0, "banner_irish20", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish21", 0, "banner_irish21", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish201", 0, "banner_irish201", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish202", 0, "banner_irish202", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish203", 0, "banner_irish203", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish204", 0, "banner_irish204", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish205", 0, "banner_irish205", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish206", 0, "banner_irish206", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish207", 0, "banner_irish207", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish208", 0, "banner_irish208", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish209", 0, "banner_irish209", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish210", 0, "banner_irish210", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish211", 0, "banner_irish211", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish212", 0, "banner_irish212", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_irish213", 0, "banner_irish213", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish214", 0, "banner_irish214", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish215", 0, "banner_irish215", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish216", 0, "banner_irish216", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish217", 0, "banner_irish217", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish218", 0, "banner_irish218", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish219", 0, "banner_irish219", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish220", 0, "banner_irish220", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_irish221", 0, "banner_irish221", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict01", 0, "banner_pict01", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict02", 0, "banner_pict02", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict03", 0, "banner_pict03", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict04", 0, "banner_pict04", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict05", 0, "banner_pict05", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict06", 0, "banner_pict06", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict07", 0, "banner_pict07", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_pict08", 0, "banner_pict08", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict09", 0, "banner_pict09", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict10", 0, "banner_pict10", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict11", 0, "banner_pict11", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict12", 0, "banner_pict12", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict13", 0, "banner_pict13", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict14", 0, "banner_pict14", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict15", 0, "banner_pict15", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict16", 0, "banner_pict16", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict17", 0, "banner_pict17", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict18", 0, "banner_pict18", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict19", 0, "banner_pict19", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict20", 0, "banner_pict20", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_pict21", 0, "banner_pict21", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking01", 0, "banner_viking01", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking02", 0, "banner_viking02", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking03", 0, "banner_viking03", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking04", 0, "banner_viking04", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking05", 0, "banner_viking05", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking06", 0, "banner_viking06", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking07", 0, "banner_viking07", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking08", 0, "banner_viking08", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking09", 0, "banner_viking09", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking10", 0, "banner_viking10", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking11", 0, "banner_viking11", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking12", 0, "banner_viking12", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking13", 0, "banner_viking13", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking14", 0, "banner_viking14", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking15", 0, "banner_viking15", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking16", 0, "banner_viking16", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking17", 0, "banner_viking17", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking18", 0, "banner_viking18", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking19", 0, "banner_viking19", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking20", 0, "banner_viking20", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking21", 0, "banner_viking21", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking201", 0, "banner_viking201", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking202", 0, "banner_viking202", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking203", 0, "banner_viking203", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking204", 0, "banner_viking204", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking205", 0, "banner_viking205", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking206", 0, "banner_viking206", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking207", 0, "banner_viking207", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking208", 0, "banner_viking208", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking209", 0, "banner_viking209", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking210", 0, "banner_viking210", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking211", 0, "banner_viking211", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking212", 0, "banner_viking212", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking213", 0, "banner_viking213", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking214", 0, "banner_viking214", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking215", 0, "banner_viking215", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_viking216", 0, "banner_viking216", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_viking217", 0, "banner_viking217", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_viking218", 0, "banner_viking218", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_viking219", 0, "banner_viking219", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_viking220", 0, "banner_viking220", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  # ("banner_viking221", 0, "banner_viking221", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_a", 0, "banner_kingdom_a", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_b", 0, "banner_kingdom_b", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_c", 0, "banner_kingdom_c", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_d", 0, "banner_kingdom_d", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_e", 0, "banner_kingdom_e", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_f", 0, "banner_kingdom_f", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_g", 0, "banner_kingdom_g", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_h", 0, "banner_kingdom_h", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_i", 0, "banner_kingdom_i", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_j", 0, "banner_kingdom_j", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_k", 0, "banner_kingdom_k", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_l", 0, "banner_kingdom_l", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_ll", 0, "banner_kingdom_ll", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_m", 0, "banner_kingdom_m", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_n", 0, "banner_kingdom_n", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_o", 0, "banner_kingdom_o", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_p", 0, "banner_kingdom_p", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_q", 0, "banner_kingdom_q", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_r", 0, "banner_kingdom_r", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_s", 0, "banner_kingdom_s", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_kingdom_t", 0, "banner_kingdom_t", 0, 0, 0, -90, 0, 0, 1, 1, 1),
  ("banner_default", 0, "banner_extra207", 0, 0, 0, -90, 0, 0, 1, 1, 1),

  ("arms_extra01", 0, "arms_extra01", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra02", 0, "arms_extra02", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra03", 0, "arms_extra03", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra04", 0, "arms_extra04", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra05", 0, "arms_extra05", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra06", 0, "arms_extra06", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra07", 0, "arms_extra07", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra08", 0, "arms_extra08", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra09", 0, "arms_extra09", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra10", 0, "arms_extra10", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra11", 0, "arms_extra11", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra12", 0, "arms_extra12", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra13", 0, "arms_extra13", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra14", 0, "arms_extra14", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra15", 0, "arms_extra15", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra16", 0, "arms_extra16", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra17", 0, "arms_extra17", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra18", 0, "arms_extra18", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra19", 0, "arms_extra19", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra20", 0, "arms_extra20", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra21", 0, "arms_extra21", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra201", 0, "arms_extra201", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra202", 0, "arms_extra202", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra203", 0, "arms_extra203", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra204", 0, "arms_extra204", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra205", 0, "arms_extra205", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra206", 0, "arms_extra206", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra207", 0, "arms_extra207", 0, 0, 0, -90, 0, 180, 1, 1, 1), reserved for default
  ("arms_extra208", 0, "arms_extra208", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra209", 0, "arms_extra209", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra210", 0, "arms_extra210", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_extra211", 0, "arms_extra211", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra212", 0, "arms_extra212", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra213", 0, "arms_extra213", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra214", 0, "arms_extra214", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra215", 0, "arms_extra215", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra216", 0, "arms_extra216", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra217", 0, "arms_extra217", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra218", 0, "arms_extra218", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra219", 0, "arms_extra219", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra220", 0, "arms_extra220", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_extra221", 0, "arms_extra221", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon01", 0, "arms_anglosaxon01", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon02", 0, "arms_anglosaxon02", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon03", 0, "arms_anglosaxon03", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon04", 0, "arms_anglosaxon04", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon05", 0, "arms_anglosaxon05", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon06", 0, "arms_anglosaxon06", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon07", 0, "arms_anglosaxon07", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon08", 0, "arms_anglosaxon08", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon09", 0, "arms_anglosaxon09", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon10", 0, "arms_anglosaxon10", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon11", 0, "arms_anglosaxon11", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon12", 0, "arms_anglosaxon12", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon13", 0, "arms_anglosaxon13", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon14", 0, "arms_anglosaxon14", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon15", 0, "arms_anglosaxon15", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon16", 0, "arms_anglosaxon16", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon17", 0, "arms_anglosaxon17", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon18", 0, "arms_anglosaxon18", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon19", 0, "arms_anglosaxon19", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon20", 0, "arms_anglosaxon20", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon21", 0, "arms_anglosaxon21", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon201", 0, "arms_anglosaxon201", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon202", 0, "arms_anglosaxon202", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon203", 0, "arms_anglosaxon203", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_anglosaxon204", 0, "arms_anglosaxon204", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon205", 0, "arms_anglosaxon205", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon206", 0, "arms_anglosaxon206", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon207", 0, "arms_anglosaxon207", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon208", 0, "arms_anglosaxon208", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon209", 0, "arms_anglosaxon209", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon210", 0, "arms_anglosaxon210", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon211", 0, "arms_anglosaxon211", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon212", 0, "arms_anglosaxon212", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon213", 0, "arms_anglosaxon213", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon214", 0, "arms_anglosaxon214", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon215", 0, "arms_anglosaxon215", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon216", 0, "arms_anglosaxon216", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon217", 0, "arms_anglosaxon217", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon218", 0, "arms_anglosaxon218", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon219", 0, "arms_anglosaxon219", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon220", 0, "arms_anglosaxon220", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_anglosaxon221", 0, "arms_anglosaxon221", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton01", 0, "arms_briton01", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton02", 0, "arms_briton02", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton03", 0, "arms_briton03", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton04", 0, "arms_briton04", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton05", 0, "arms_briton05", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton06", 0, "arms_briton06", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton07", 0, "arms_briton07", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton08", 0, "arms_briton08", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton09", 0, "arms_briton09", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton10", 0, "arms_briton10", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton11", 0, "arms_briton11", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton12", 0, "arms_briton12", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton13", 0, "arms_briton13", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton14", 0, "arms_briton14", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton15", 0, "arms_briton15", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton16", 0, "arms_briton16", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton17", 0, "arms_briton17", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton18", 0, "arms_briton18", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton19", 0, "arms_briton19", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton20", 0, "arms_briton20", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton21", 0, "arms_briton21", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton201", 0, "arms_briton201", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton202", 0, "arms_briton202", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton203", 0, "arms_briton203", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton204", 0, "arms_briton204", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton205", 0, "arms_briton205", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton206", 0, "arms_briton206", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton207", 0, "arms_briton207", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton208", 0, "arms_briton208", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton209", 0, "arms_briton209", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton210", 0, "arms_briton210", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton211", 0, "arms_briton211", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton212", 0, "arms_briton212", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton213", 0, "arms_briton213", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton214", 0, "arms_briton214", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton215", 0, "arms_briton215", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton216", 0, "arms_briton216", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton217", 0, "arms_briton217", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton218", 0, "arms_briton218", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton219", 0, "arms_briton219", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton220", 0, "arms_briton220", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_briton221", 0, "arms_briton221", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish01", 0, "arms_irish01", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish02", 0, "arms_irish02", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish03", 0, "arms_irish03", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish04", 0, "arms_irish04", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish05", 0, "arms_irish05", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish06", 0, "arms_irish06", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish07", 0, "arms_irish07", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish08", 0, "arms_irish08", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish09", 0, "arms_irish09", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish10", 0, "arms_irish10", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish11", 0, "arms_irish11", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish12", 0, "arms_irish12", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish13", 0, "arms_irish13", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish14", 0, "arms_irish14", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish15", 0, "arms_irish15", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish16", 0, "arms_irish16", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish17", 0, "arms_irish17", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish18", 0, "arms_irish18", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish19", 0, "arms_irish19", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish20", 0, "arms_irish20", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish21", 0, "arms_irish21", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish201", 0, "arms_irish201", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish202", 0, "arms_irish202", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish203", 0, "arms_irish203", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish204", 0, "arms_irish204", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish205", 0, "arms_irish205", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish206", 0, "arms_irish206", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish207", 0, "arms_irish207", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish208", 0, "arms_irish208", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish209", 0, "arms_irish209", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish210", 0, "arms_irish210", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish211", 0, "arms_irish211", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish212", 0, "arms_irish212", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_irish213", 0, "arms_irish213", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish214", 0, "arms_irish214", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish215", 0, "arms_irish215", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish216", 0, "arms_irish216", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish217", 0, "arms_irish217", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish218", 0, "arms_irish218", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish219", 0, "arms_irish219", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish220", 0, "arms_irish220", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_irish221", 0, "arms_irish221", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict01", 0, "arms_pict01", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict02", 0, "arms_pict02", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict03", 0, "arms_pict03", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict04", 0, "arms_pict04", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict05", 0, "arms_pict05", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict06", 0, "arms_pict06", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict07", 0, "arms_pict07", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_pict08", 0, "arms_pict08", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict09", 0, "arms_pict09", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict10", 0, "arms_pict10", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict11", 0, "arms_pict11", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict12", 0, "arms_pict12", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict13", 0, "arms_pict13", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict14", 0, "arms_pict14", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict15", 0, "arms_pict15", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict16", 0, "arms_pict16", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict17", 0, "arms_pict17", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict18", 0, "arms_pict18", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict19", 0, "arms_pict19", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict20", 0, "arms_pict20", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_pict21", 0, "arms_pict21", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking01", 0, "arms_viking01", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking02", 0, "arms_viking02", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking03", 0, "arms_viking03", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking04", 0, "arms_viking04", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking05", 0, "arms_viking05", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking06", 0, "arms_viking06", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking07", 0, "arms_viking07", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking08", 0, "arms_viking08", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking09", 0, "arms_viking09", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking10", 0, "arms_viking10", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking11", 0, "arms_viking11", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking12", 0, "arms_viking12", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking13", 0, "arms_viking13", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking14", 0, "arms_viking14", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking15", 0, "arms_viking15", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking16", 0, "arms_viking16", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking17", 0, "arms_viking17", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking18", 0, "arms_viking18", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking19", 0, "arms_viking19", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking20", 0, "arms_viking20", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking21", 0, "arms_viking21", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking201", 0, "arms_viking201", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking202", 0, "arms_viking202", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking203", 0, "arms_viking203", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking204", 0, "arms_viking204", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking205", 0, "arms_viking205", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking206", 0, "arms_viking206", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking207", 0, "arms_viking207", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking208", 0, "arms_viking208", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking209", 0, "arms_viking209", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking210", 0, "arms_viking210", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking211", 0, "arms_viking211", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking212", 0, "arms_viking212", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking213", 0, "arms_viking213", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking214", 0, "arms_viking214", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking215", 0, "arms_viking215", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_viking216", 0, "arms_viking216", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_viking217", 0, "arms_viking217", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_viking218", 0, "arms_viking218", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_viking219", 0, "arms_viking219", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_viking220", 0, "arms_viking220", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  # ("arms_viking221", 0, "arms_viking221", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_a", 0, "arms_kingdom_a", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_b", 0, "arms_kingdom_b", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_c", 0, "arms_kingdom_c", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_d", 0, "arms_kingdom_d", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_e", 0, "arms_kingdom_e", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_f", 0, "arms_kingdom_f", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_g", 0, "arms_kingdom_g", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_h", 0, "arms_kingdom_h", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_i", 0, "arms_kingdom_i", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_j", 0, "arms_kingdom_j", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_k", 0, "arms_kingdom_k", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_l", 0, "arms_kingdom_l", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_ll", 0, "arms_kingdom_ll", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_m", 0, "arms_kingdom_m", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_n", 0, "arms_kingdom_n", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_o", 0, "arms_kingdom_o", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_p", 0, "arms_kingdom_p", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_q", 0, "arms_kingdom_q", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_r", 0, "arms_kingdom_r", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_s", 0, "arms_kingdom_s", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  ("arms_kingdom_t", 0, "arms_kingdom_t", 0, 0, 0, -90, 0, 180, 1, 1, 1),  
  ("arms_default", 0, "arms_extra207", 0, 0, 0, -90, 0, 180, 1, 1, 1),
  
  ("troop_label_banner",  0, "troop_label_banner", 0, 0, 0, 0, 0, 0, 10, 10, 10),
  
  #in same order as factions
  ("mp_scoreboard_team_1", 0, "mp_scoreboard_team_norse", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_scoreboard_team_2", 0, "mp_scoreboard_team_saxon", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_scoreboard_team_3", 0, "mp_scoreboard_team_angle", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_scoreboard_team_4", 0, "mp_scoreboard_team_welsh", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_scoreboard_team_5", 0, "mp_scoreboard_team_irish", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_scoreboard_team_6", 0, "mp_scoreboard_team_scotch", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  
  ("mp_scoreboard_team_rebel", 0, "mp_scoreboard_team_rebel", 0, 0, 0, 0, 0, 0, 1, 1, 1),  

  ("mouse_arrow_down", 0, "mouse_arrow_down", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mouse_arrow_right", 0, "mouse_arrow_right", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mouse_arrow_left", 0, "mouse_arrow_left", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mouse_arrow_up", 0, "mouse_arrow_up", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mouse_arrow_plus", 0, "mouse_arrow_plus", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mouse_left_click", 0, "mouse_left_click", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mouse_right_click", 0, "mouse_right_click", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("status_ammo_ready", 0, "status_ammo_ready", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("main_menu_background", 0, "main_menu_nord", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("loading_background", 0, "load_screen_2", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("ui_quick_battle_a", 0, "ui_quick_battle_a", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("white_bg_plane_a", 0, "white_bg_plane_a", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_icon_infantry", 0, "cb_ui_icon_infantry", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_icon_archer", 0, "cb_ui_icon_archer", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_icon_horseman", 0, "cb_ui_icon_horseman", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_main", 0, "cb_ui_main", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_01", 0, "cb_ui_maps_scene_01", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_02", 0, "cb_ui_maps_scene_02", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_03", 0, "cb_ui_maps_scene_03", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_04", 0, "cb_ui_maps_scene_04", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_05", 0, "cb_ui_maps_scene_05", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_06", 0, "cb_ui_maps_scene_06", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_07", 0, "cb_ui_maps_scene_07", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_08", 0, "cb_ui_maps_scene_08", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_scene_09", 0, "cb_ui_maps_scene_09", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("cb_ui_maps_lense", 0, "cb_ui_maps_lense", .05, .045, 0, 0, 0, 0, .7, .7, .7),

  ("quit_adv", 0, "quit_adv", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("quit_adv_b", 0, "quit_adv_b", 0, 0, 0, 0, 0, 0, 1, 1, 1),

#multiplayer maps 1.153
  
    ####  Chief
    ("button_1", 0, "button1_up", 0, 0, 0, 0, 0, 0, 0.3, 0.3, 0.3),
  ("button_1_down", 0, "button1_down", 0, 0, 0, 0, 0, 0, 0.3, 0.3, 0.3),

  ("used_button", 0, "medium_button", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  ("used_button_down", 0, "medium_button_down", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  ("longer_button", 0, "longer_button", 0, 0, 0, 0, 0, 0, 0.4, 0.5, 0.5),
  ("longer_button_down", 0, "longer_button_down", 0, 0, 0, 0, 0, 0, 0.4, 0.5, 0.5),
  
  ("options_window", 0, "options_window", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("message_window", 0, "message_window", 0, 0, 0, 0, 0, 0, 0.8, 0.5, 0.5),
  ("message_window", 0, "message_window", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("note_window", 0, "note_window", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  
  ("left_button", 0, "cb_ui_comp_arrow_l_d", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  ("left_button_down", 0, "cb_ui_comp_arrow_l_p", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  ("left_button_hl", 0, "cb_ui_comp_arrow_l_hl", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  
  ("right_button", 0, "cb_ui_comp_arrow_r_d", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  ("right_button_down", 0, "cb_ui_comp_arrow_r_p", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  ("right_button_hl", 0, "cb_ui_comp_arrow_r_hl", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  
  ("center_button", 0, "cb_ui_title_panel", 0, 0, 0, 0, 0, 0, 0.5, 0.5, 0.5),
  
  ("drop_button", 0, "button_drop", 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5),
  ("drop_button_down", 0, "button_drop_clicked", 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5),
  ("drop_button_hl", 0, "button_drop_hl", 0, 0, 0, 0, 0, 0, 1, 0.5, 0.5),
  ("drop_button_child", 0, "button_drop_child", 0, 0, 0, 0, 0, 0, 1.0, 0.5, 0.5),
  ("drop_button_child_down", 0, "button_drop_child_clicked", 0, 0, 0, 0, 0, 0, 1.0, 0.5, 0.5),
  ("drop_button_child_hl", 0, "button_drop_child_hl", 0, 0, 0, 0, 0, 0, 1.0, 0.5, 0.5),
  
  #("num_1", 0, "num_1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_2", 0, "num_2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_3", 0, "num_3", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_4", 0, "num_4", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_5", 0, "num_5", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_6", 0, "num_6", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_7", 0, "num_7", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_8", 0, "num_8", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_9", 0, "num_9", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_10", 0, "num_10", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_11", 0, "num_11", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_12", 0, "num_12", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_13", 0, "num_13", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_14", 0, "num_14", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_15", 0, "num_15", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_16", 0, "num_16", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_17", 0, "num_17", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_18", 0, "num_18", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_19", 0, "num_19", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_20", 0, "num_20", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_21", 0, "num_21", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_22", 0, "num_22", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_23", 0, "num_23", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_24", 0, "num_24", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_25", 0, "num_25", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_26", 0, "num_26", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_27", 0, "num_27", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_28", 0, "num_28", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_29", 0, "num_29", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_30", 0, "num_30", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_31", 0, "num_31", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_32", 0, "num_32", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_33", 0, "num_33", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_34", 0, "num_34", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_35", 0, "num_35", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_36", 0, "num_36", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_37", 0, "num_37", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_38", 0, "num_38", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_39", 0, "num_39", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_40", 0, "num_40", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_41", 0, "num_41", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_42", 0, "num_42", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_43", 0, "num_43", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_44", 0, "num_44", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_45", 0, "num_45", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_46", 0, "num_46", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_47", 0, "num_47", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  #("num_48", 0, "num_48", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("order_frame", 0, "mp_ui_order_button", 0, 0, 0, 0, 0, 0, 1, 1, 1),

## chief acaba

###	PHAIAK begin ( sea battles
  ("nvl_frame", 0, "nvl_frame", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_arrow_up_1", 0, "nvl_arrow_up_1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_arrow_up_2", 0, "nvl_arrow_up_2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_arrow_left_1", 0, "nvl_arrow_left_1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_arrow_left_2", 0, "nvl_arrow_left_2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_arrow_down_1", 0, "nvl_arrow_down_1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_arrow_right_1", 0, "nvl_arrow_right_1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_arrow_right_2", 0, "nvl_arrow_right_2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_flag", 0, "wind_flag", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_ui_ship_a", 0, "ui_ship_a", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("nvl_ui_ship_a_sail", 0, "ui_ship_a_sail", 0, 0, 0, 0, 0, 0, 1, 1, 1),

  ("vc_menu_board", 0, "menu_board", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("ship_menu_tab1", 0, "button_drop_child", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("ship_menu_tab2", 0, "button_drop_child_clicked", 0, 0, 0, 0, 0, 0, 1, 1, 1), 
###	) PHAIAK end  
  ("ico_horn_bonus",	0, "ui_indicator_horn", 0, 0, 0, 0, 0, 0, 1, 1, 1),#addon1
  ("ico_banner_bonus",	0, "ui_indicator_banner", 0, 0, 0, 0, 0, 0, 1, 1, 1),#addon1
  ("ico_shieldwall_bonus",0,"ui_indicator_shield", 0, 0, 0, 0, 0, 0, 1, 1, 1),#addon1
  ("ico_thor_champ",	0, "ui_indicator_thor", 0, 0, 0, 0, 0, 0, 1, 1, 1),#addon1
  ("ico_ship_captain",	0, "ui_indicator_captain", 0, 0, 0, 0, 0, 0, 1, 1, 1),#addon1
  
  # #VC-2111
  # ("conversation_window_cropped", 0, "conversation_window_cropped", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  # ("dlg_button", 0, "dlg_button", 0, 0, 0, 0, 0, 0, 1, 0.8, 1),				
  # ("dlg_button_down", 0, "dlg_button_down", 0, 0, 0, 0, 0, 0, 1, 0.8, 1),
###New presentations RE
    ("pic_troop_trees", 0, "pic_troop_trees", 0, 0, 0, 0, 0, 0, 1, 1, 1),
    ("pic_units_details", 0, "pic_units_details", 0, 0, 0, 0, 0, 0, 1, 1, 1),
    ("pic_vc_companions", 0, "pic_vc_companions", 0, 0, 0, 0, 0, 0, 1, 1, 1),
    ("pic_extra_character", 0, "pic_extra_character", 0, 0, 0, 0, 0, 0, 1, 1, 1),
###
  #addon maps
  ("mp_ui_host_maps_scene_coast", 0, "mp_ui_host_maps_f2", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_scene_fjord", 0, "mp_ui_host_maps_f3", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_scene_islands", 0, "mp_ui_host_maps_f4", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("mp_ui_host_maps_20", 0, "mp_ui_host_maps_f1", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  
  ("vc_menu_board_addition", 0, "facegen_buttons", 0, 0, 0, 0, 0, 0, -0.35, 0.35, 1),
  ("flag_spears", 0, "flag_spears", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_skirmishers", 0, "flag_skirmishers", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_horsemen", 0, "flag_horsemen", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_d7", 0, "flag_d7", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_d8", 0, "flag_d8", 0, 0, 0, 0, 0, 0, 1, 1, 1),
  ("flag_d9", 0, "flag_d9", 0, 0, 0, 0, 0, 0, 1, 1, 1),
]
